Package org.apache.sling.api.resource.observation

# Enum Class ResourceChange.ChangeType

java.lang.Object
java.lang.Enum<ResourceChange.ChangeType>
org.apache.sling.api.resource.observation.ResourceChange.ChangeType

All Implemented Interfaces:
  `Serializable`, `Comparable<ResourceChange.ChangeType>`, `Constable`

Enclosing class:
  ResourceChange

public static enum ResourceChange.ChangeType extends Enum<ResourceChange.ChangeType>
The type of the change

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADDED`
`CHANGED`
`PROVIDER_ADDED`
`PROVIDER_REMOVED`
`REMOVED`

## Method Summary

Modifier and Type
Method
Description
`static ResourceChange.ChangeType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ResourceChange.ChangeType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ADDED

public static final ResourceChange.ChangeType ADDED

### REMOVED

public static final ResourceChange.ChangeType REMOVED

### CHANGED

public static final ResourceChange.ChangeType CHANGED

### PROVIDER_ADDED

public static final ResourceChange.ChangeType PROVIDER_ADDED

### PROVIDER_REMOVED

public static final ResourceChange.ChangeType PROVIDER_REMOVED

## Method Details

### values

public static ResourceChange.ChangeType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ResourceChange.ChangeType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null